.details-card {
  table {
    td {
      padding: 10px;

      .label-dark {
        line-height: 20px;
      }
    }
  }

  .h-empty-footer {
    height: 52px;
  }
}

.card-details-title {
  font-size: $font-size-lg;
  color: $gray;
}

.card-table {
  width: 100%;
}

.label-light {
  color: $gray;
}

.label-dark {
  color: $slate;
}

.smaller {
  font-size: $font-size-md;
}

.currency-card {
  min-height: 140px;
}

.product-summary-details {
  .card {
    height: 100%;
    padding: 24px;
  }

  .card-header {
    color: #525252;
    font-size: 20px;
    font-family: $istok-web;
    font-weight: bold;
    padding: 0 0 5px 0;
    border-bottom: 1px solid $navigationDarkerGray;

    span.pagination-numbers {
      font-size: 16px;

      &-bolder {
        font-weight: bold;
      }
    }
  }

  .card-body {
    padding: 15px 0;
    min-height: 195px;

    &.remove-min-height {
      min-height: 0;
    }
  }

  .card-footer {
    min-height: 42px;
    padding: 20px 0 0 0;
    border-top: 1px solid $navigationDarkerGray;
    text-align: right;
  }

  &-icon {
    float: right;
    color: $nlbIndigoColor;
  }
}

.external-link,
.currency-exchange-link {
  font-weight: normal;
  color: $nlbIndigoColor;
  font-family: $roboto;
  font-size: 16px;

  &:hover {
    cursor: pointer;
    color: $nlbIndigoShadeColor;
  }
}

.product-summary-details-header-widget {
  margin-bottom: 40px;

  .product-icon {
    img {
      width: $mediumIconSize;
      height: $mediumIconSize;
    }
  }

  .account-name {
    font-family: $istok-web;
    font-size: 22px;
    color: $nlbDarkestGreyColor;
  }

  .account-iban {
    font-size: 14px;
    color: $nlbMainGreyColor;
  }

  .currency-card-title {
    font-size: 26px;
    color: $nlbDarkGreyColor;
  }
}

nlb-product-summary-details {
  .details-value {
    font-size: 16px;
    line-height: 36px;
  }
}

.product-summary-details-header-widget {
  position: relative;

  .manageable-container-block {
    position: absolute;
    height: 300px;

    img {
      width: 100%;
      height: 100%;
    }
  }

  .header-content-wrapper {
    padding: 16px 0 20px 0;

    &.single-card {
      //background-color: $navigationLightGray;
      //box-shadow: $product-card-shadow;
      padding: 16px 16px 20px 16px;
      border-radius: 6px;

      .account-name {
        text-overflow: ellipsis;
        max-width: 230px;
        overflow: hidden;
        white-space: nowrap;

        @include media-breakpoint-down(sm) {
          max-width: 100%;
          font-size: 20px;
        }

        @include media-breakpoint-between(md, lg) {
          max-width: 240px;
        }

        @include media-breakpoint-up(xl) {
          max-width: 300px;
        }
      }

      .currency-exchange-link {
        right: 0;
        position: absolute;
        top: -60px;
        margin: 0;

        //@include media-breakpoint-down(sm) {
        //top: -60px;
        //margin: 0;
        //}
      }
    }
  }
}
